org.apache.xerces.impl.xs.traversers

## Class OverrideTransformationManager

- java.lang.Object
- - org.apache.xerces.impl.xs.traversers.OverrideTransformationManager

-     public final class OverrideTransformationManager
      extends java.lang.Object

  Version:
    $Id: OverrideTransformationManager.java 1565084 2014-02-06 05:39:07Z mukulg $

  # INTERNAL:

    Usage of this class is not supported. It may be altered or removed at any time.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `STATE_COLLISION`
    `static int` | `STATE_CONTINUE`
    `static int` | `STATE_DUPLICATE`
    `static int` | `STATE_INCLUDE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OverrideTransformationManager(XSDHandler handler, OverrideTransformer overrideHandler)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSchemaRoot(java.lang.String schemaId, org.w3c.dom.Element schemaRoot)` Add a schema to the list of processed schemas.
    `void` | `checkSchemaRoot(java.lang.String schemaId, org.w3c.dom.Element decl, org.w3c.dom.Element schemaRoot)` Check original schema root for possible collision
    `int` | `getCurrentState()` Return the state after immediate transformation
    `boolean` | `hasCompositionalDecl(org.w3c.dom.Element schemaRoot)`
    `boolean` | `hasGlobalDecl(org.w3c.dom.Element schemaRoot)`
    `void` | `reset()` Reset state
    `void` | `setOverrideHandler(OverrideTransformer overrideHandler)` Set `override` transformer
    `org.w3c.dom.Element` | `transform(java.lang.String schemaId, org.w3c.dom.Element overrideElement, org.w3c.dom.Element targetSchema)` Perform override transformations on target schema.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### STATE_INCLUDE

          public static final int STATE_INCLUDE

      See Also:
        Constant Field Values

    - #### STATE_CONTINUE

          public static final int STATE_CONTINUE

      See Also:
        Constant Field Values

    - #### STATE_DUPLICATE

          public static final int STATE_DUPLICATE

      See Also:
        Constant Field Values

    - #### STATE_COLLISION

          public static final int STATE_COLLISION

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### OverrideTransformationManager

          public OverrideTransformationManager(XSDHandler handler,
                                       OverrideTransformer overrideHandler)

  - ### Method Detail

    - #### reset

          public void reset()

      Reset state

    - #### transform

          public org.w3c.dom.Element transform(java.lang.String schemaId,
                                      org.w3c.dom.Element overrideElement,
                                      org.w3c.dom.Element targetSchema)

      Perform override transformations on target schema. If transformation takes place and we do not have a collision, we return the transformed schema. If no transformation and no collision, we return the original target schema, otherwise we return null to prevent the target schema from being added to the dependency list.

    - #### addSchemaRoot

          public void addSchemaRoot(java.lang.String schemaId,
                           org.w3c.dom.Element schemaRoot)

      Add a schema to the list of processed schemas.

    - #### checkSchemaRoot

          public void checkSchemaRoot(java.lang.String schemaId,
                             org.w3c.dom.Element decl,
                             org.w3c.dom.Element schemaRoot)

      Check original schema root for possible collision
      Parameters:
        `schemaId` - The system id of the schema
        `schemaRoot` - The root of the schema

    - #### getCurrentState

          public int getCurrentState()

      Return the state after immediate transformation

    - #### setOverrideHandler

          public void setOverrideHandler(OverrideTransformer overrideHandler)

      Set `override` transformer
      Parameters:
        `overrideHandler` - `override` transformer handler to set

    - #### hasGlobalDecl

          public boolean hasGlobalDecl(org.w3c.dom.Element schemaRoot)

    - #### hasCompositionalDecl

          public boolean hasCompositionalDecl(org.w3c.dom.Element schemaRoot)

Copyright © 1999-2022 The Apache Software Foundation. All Rights Reserved.